Вопрос к спецам по Eclipse.

Вобщем следующая ситуация.

Есть ноут, на нем последняя Ubuntu, на ней Eclipse 3.5.2 поставленная из пакетов, на ней CDT 6.0.2 из репозитория. Результат — в списке плагинов CDT присутсвует, в списке перспектив — нет. В «New Project» C/C++ тоже нет. Эксперименту для, ставил другие плагины, например Subclipse и Pydev. Результат тот же. Можно было бы списать на несовместимость версий, НО... точно такая же связка прекрасно пашет на десктопе.

👍НравитсяПонравилось0
В избранноеВ избранном0
LinkedIn
Допустимые теги: blockquote, a, pre, code, ul, ol, li, b, i, del.
Ctrl + Enter
Допустимые теги: blockquote, a, pre, code, ul, ol, li, b, i, del.
Ctrl + Enter
Поставил себе Eclipse IDE for C/C++ Developers отсюда
Все просто — качается — распаковывается, например в opt, — увеличивается размер памяти в конфиг файле — запускается

Скорость порадовала. може перейду с NetBeans на Eclipse

И кстати, не может ли тут подгадить jvm?

Вряд ли, но JAVA_HOME и JDK_HOME я бы установил.

Какую пользовать java настраивается в конфиг файле. лучше поставить сановскую (оракловскую) будет побыстрее...

з.ы. LGPL не все разрешают пользовать, хотя я забыл, что оно есть.


Eclipse то же ставился из пакетов или качали руками?
Все из пакетов. Сначала apt-get eclipse, потом Help-> Install New Software download.eclipse.org/...eleases/galileo
Есть мнение, что где-то осталась какая-то срань от старых установок, хотя я делал purge, и после этого ручками прибивал все, что включало в название или путь слово «eclipse».

И кстати, не может ли тут подгадить jvm?

К спецам по Eclipse не отношусь, но были похожие проблемы с NetBeans, они были связаны с тем что при установке из пакетов каталог с плагинами находился не там где ожидалось (грубо говоря, не в папке приложения). Может у вас такая же ситуация?

НО... точно такая же связка прекрасно пашет на десктопе

Eclipse то же ставился из пакетов или качали руками?

QT для закрытого коммерческого софта платный.

лол што?
Ну и дабы не быть голословным:

qt.nokia.com/...ducts/licensing

А как к Эклипсу присобачить пайдев, это же вроде для питоновских проектов?
Или к емаксу.
Среда — убунту 10.04

Думаю попробовать что-то на питоне напитонить, хотя бы движок форума...

eclipse+cdt в «голом» виде нафиг не нужна для для девелопера

И чего же там особо не хватает для создания не графических приложений? IDE под QNX (Momentics) мало чем отличается от eclipse+cdt.
Ubuntu родных репозиториях 10.4 убунты CDT плугина по мойму нема, а от более старых версий есть проблема с совместимостью. Как вариант, поставить с сайта. Я пользую для плюсов NetBeans + плугин.
З.Ы Qt Creator удобен только для создания qt апликух с формочеками. QT для закрытого коммерческого софта платный.

можно попробовать отсюда поставить deb ppa.launchpad.net/.../eclipse/ubuntu lucid main

НО... точно такая же связка прекрасно пашет на десктопе.

1. вот и перенеси ее с десктопа на ноут. достаточно будет просто скопировать и не прийдется игратся с настройкой.

2. eclipse+cdt в «голом» виде нафиг не нужна для для девелопера. Это такой себе скелет на котором прозводители строят кастумные IDE (QNX, Symbian). Поставь себе заточеную под с++ IDE и не мучайся (например Qt Creator)

Подписаться на комментарии